Bug 975015

Summary: Fdora19:Beta: PCS service failed to start
Product: [Fedora] Fedora Reporter: IBM Bug Proxy <bugproxy>
Component: pcsAssignee: Chris Feist <cfeist>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 19CC: cfeist, jkachuck, wgomerin
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-28 19:35:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description IBM Bug Proxy 2013-06-17 12:20:35 UTC
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-06-17 02:51:23 ==
pcs service failed to start with below errors in /var/log/messages of F19 beta installed system.

[root@miz03 ~]# systemctl start pcsd.service
[root@miz03 ~]# systemctl status pcsd.service
pcsd.service - PCS GUI
   Loaded: loaded (/usr/lib/systemd/system/pcsd.service; enabled)
   Active: failed (Result: exit-code) since Mon 2013-06-17 02:33:09 EDT; 4s ago
  Process: 5783 ExecStart=/usr/lib/pcsd/pcsd start (code=exited, status=1/FAILURE)

Jun 17 02:33:09 miz03.austin.ibm.com systemd[1]: Started PCS GUI.
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: Starting pcsd: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require': cannot load such file -- rpam_ext (LoadError)
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/lib/pcsd/gemhome/gems/rpam-ruby19-1.2.1/lib/rpam.rb:1:in `<top (required)>'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:110:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:110:in `rescue in require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:35:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/lib/pcsd/auth.rb:4:in `<top (required)>'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/lib/pcsd/pcsd.rb:11:in `<top (required)>'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03.austin.ibm.com pcsd[5783]: from /usr/lib/pcsd/ssl.rb:47:in `<main>'
Jun 17 02:33:09 miz03.austin.ibm.com systemd[1]: pcsd.service: main process exited, code=exited, status=1/FAILURE
Jun 17 02:33:09 miz03.austin.ibm.com systemd[1]: Unit pcsd.service entered failed state.


--- errors from /var/log/messages ---
Jun 17 02:32:52 miz03 systemd[1]: Stopped PCS GUI.
Jun 17 02:33:09 miz03 systemd[1]: Starting PCS GUI...
Jun 17 02:33:09 miz03 systemd[1]: Started PCS GUI.
Jun 17 02:33:09 miz03 pcsd[5783]: Starting pcsd: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require': cannot load such file -- rpam_ext (LoadError)
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/lib/pcsd/gemhome/gems/rpam-ruby19-1.2.1/lib/rpam.rb:1:in `<top (required)>'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:110:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:110:in `rescue in require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:35:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/lib/pcsd/auth.rb:4:in `<top (required)>'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/lib/pcsd/pcsd.rb:11:in `<top (required)>'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45:in `require'
Jun 17 02:33:09 miz03 pcsd[5783]: from /usr/lib/pcsd/ssl.rb:47:in `<main>'
Jun 17 02:33:09 miz03 pcsd[5783]: [FAILED]
Jun 17 02:33:09 miz03 systemd[1]: pcsd.service: main process exited, code=exited, status=1/FAILURE
Jun 17 02:33:09 miz03 systemd[1]: Unit pcsd.service entered failed state.

--- Other information ---

[root@miz03 ~]# uname -a
Linux miz03.austin.ibm.com 3.9.4-300.fc19.ppc64p7 #1 SMP Sun May 26 22:14:56 MST 2013 ppc64 ppc64 ppc64 GNU/Linux

[root@miz03 ~]# pcs --version
0.9.44

Comment 1 Chris Feist 2013-06-28 19:35:10 UTC

*** This bug has been marked as a duplicate of bug 974759 ***